ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Peter Reilly" <peter.kitt.rei...@gmail.com>
Subject Re: [VOTE] Release of Apache Ant 1.7.0 - new upload done
Date Mon, 18 Dec 2006 08:57:02 GMT
It seems that the current ant code triggers bugs in jdk1.2.

We probally should say that ant 1.7.0 does not support
jdk1.2 due to bugs in jdk1.2, and try to find out what is
triggering the bug - hopefully to get a work-a-round for ant 1.7.1.

Have you tried using green threads? (were they still supported
for jdk1.2 ?)

Peter

On 12/18/06, Jan.Materne@rzf.fin-nrw.de <Jan.Materne@rzf.fin-nrw.de> wrote:
> I just downloaded the latest builds from
> http://people.apache.org/~antoine/
> * binary distro with MD5
>   ac30ce5b07b0018d65203fbc680968f5 *apache-ant-1.7.0-bin.zip
> * source distro with MD5
>   f3c9e94df5f4cc639ad8067700b3d571 *apache-ant-1.7.0-src.zip
>
>
> Using Java
>   Classic VM (build JDK-1.2.1_004, native threads)
> and a buildfile
>   <project>
>      <target name="one">
>          <echo>ONE</echo>
>      </target>
>      <target name="two" depends="one"/>
>   </project>
>
> I got for "ant -p"
>
>
> ---8-<-------8-<-------8-<-------8-<-------8-<-------8-<-------8-<------
> -8-<----
> Buildfile: build.xml
> A nonfatal internal JIT (3.00.078(x)) error 'chgTarg: Conditional' has
> occurred in :
>   'org/apache/tools/ant/Project.fireMessageLoggedEvent
> (Lorg/apache/tools/ant/BuildEvent;Ljava/lang/String;I)V': Interpr
> eting method.
>   Please report this error in detail to
> http://java.sun.com/cgi-bin/bugreport.cgi
>
>
> Main targets:
>
> Other targets:
>
>  one
>  two
> ---8-<-------8-<-------8-<-------8-<-------8-<-------8-<-------8-<------
> -8-<----
>
>
> Not sure if that is a problem with Ant, or with JDK 1.2.2 or with my
> installation (have several JDKs installed: 1.2-1.6).
> I invoke the java command with path
>
> Path=c:\jdk\121_04\bin;C:\Programme\Perl\bin\;C:\WINNT\system32;C:\WINNT
> ;C:\WINNT\System32\Wbem;c:\bin;C:\ant\downloads\
> apache-ant-1.7.0-bin\apache-ant-1.7.0\bin
>
> So I'm sure to get the right version.
>
>
> On a
>   Java(TM) 2 Runtime Environment, Standard Edition (build 1.3.0-C)
>   Java HotSpot(TM) Client VM (build 1.3.0-C, mixed mode)
> that works.
>
>
> Martijn started again something like "let's drop 1.2" .... What's the
> status of that?
>
>
>
> I'll have a look at the zip's content and post a comment on that in
> another mail.
>
>
>
> Jan
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
> For additional commands, e-mail: dev-help@ant.apache.org
>
>

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
For additional commands, e-mail: dev-help@ant.apache.org


Mime
View raw message